# Generated from discourse_zendesk_api-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name discourse_zendesk_api

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Discourse Zendesk REST API Client
License: Apache-2.0
URL: https://developer.zendesk.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby >= 2.5
BuildArch: noarch

%description
Ruby wrapper for the REST API at https://www.zendesk.com. Documentation at
https://developer.zendesk.com.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/util
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.1-1
- Initial package
